Bug 108133 - RHN 2.9.0 Documentation Tracking Bug
RHN 2.9.0 Documentation Tracking Bug
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Documentation (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tammy Fox
Fanny Augustin
: Documentation, Tracking
Depends On:
Blocks: 101785
  Show dependency treegraph
 
Reported: 2003-10-27 16:48 EST by Clay Murphy
Modified: 2009-08-19 23:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-27 01:18:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Clay Murphy 2003-10-27 16:48:23 EST
Description of problem: This will act as the primary and as yet sole doc bug for
the RHN 2.9.0 hosted release. It will require release notes and updates to
existing guides.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
    
Actual results:


Expected results:


Additional info:
Comment 1 Clay Murphy 2003-10-30 15:30:36 EST
Making headway. Release Notes are nearly finalized. Now incorporating those
changes into the technical docs. Requires new screenshots here and there and
revised instructions, thus far in the Reference Guide(s) only.
Comment 2 Clay Murphy 2003-10-30 20:59:20 EST
All files for this release are in CVS. I've retagged the RHNdocs module as a
release candidate: RC_2_9_0_1

I will review the QA build tomorrow and tie up any loose ends.
Comment 3 Clay Murphy 2003-10-31 15:18:17 EST
With the build last night, these docs are now visible in QA. I'm reviewing now.
Comment 4 Clay Murphy 2003-10-31 17:38:34 EST
The review in QA went well. I fixed a couple of small type-Os and added several
icons: the system lock icon and the four new event icons.

In addition, I removed the bug IDs from the release notes. I've tagged the
RHNdocs module as what I hope to be the final release candidate: RC_2_9_0_2

I'm now reassigning to Chip for inclusion in the 2.9.0 release.
Comment 5 Josef Komenda 2003-11-02 13:16:59 EST
Release notes look good in QA. 
Comment 6 Josef Komenda 2003-11-02 13:18:08 EST
https://rhn.webqa.redhat.com/help/enterprise/figs/software-manager/ent-system_list.png
Should be updated to show management and update level entitlements. 
Comment 7 Josef Komenda 2003-11-02 13:22:55 EST
4.6.3. Easy ISOs

'Once downloaded, either burning the images to CD-Rs or CD-RWs or
copying them to the machine for direct installation.'

Change to: 
'Once downloaded, either burn the images to CD-Rs/CD-RWs or copy them
to the machine for direct installation.'
Comment 8 Josef Komenda 2003-11-02 13:27:43 EST
4.4.2. Systems

Need to add the 'locked' icon to the list of left-nav icons.
Comment 9 Josef Komenda 2003-11-02 13:35:10 EST
https://rhn.webqa.redhat.com/help/enterprise/entitling-system.html

Should probably be updated to reflect the new entitlement policy. 

/basic/ guide should be checked for all of the the above things as well. 
 
Comment 10 Clay Murphy 2003-11-03 14:02:42 EST
Since we released to production this morning, I don't know how we want
to address these final concerns. FWIW, I addressed two of these items
myself during my own review of QA: the system lock icon (and the four
new event icons) were added Friday, and the poor language in the Easy
ISOs description was also rewritten.

I don't know why these changes didn't make it into production. The
versions online appear to be identical to those initially released to
QA, from the initial release candidate RC_2_9_0_1. I do not see the
changes incorporated into the second release candidate RC_2_9_0_2.
Comment 11 Clay Murphy 2003-11-03 18:07:59 EST
I've now corrected the two remaining issues Joe found: the Systems
screenshot (for Update and Management guides) now displays our new
entitlement names, and the entitlement steps within the rhn_register
chapter now reflect our new entitlement policy, including a warning
that the promotion of entitlements is irreversible.

We need to get the new docs into prod as quickly as possible, because
we need to correct another IMO more serious issue, the inclusion of
bug IDs within the published 2.9.0 release notes. This resulted from
us pulling from the wrong release candidate.

So, once and for all, the latest release candidate is tagged:
RC_2_9_0_3. Note the 3 in that tag. Please pull those files and those
files only.
Comment 12 Josef Komenda 2003-11-04 16:26:59 EST
Looks good in prod. 
Comment 13 Clay Murphy 2003-11-04 19:31:07 EST
Reopening to reassign to Tammy Fox.
Comment 14 Clay Murphy 2003-11-04 19:43:19 EST
Tammy, I'm reassigning this bug to you to have the 2.9.0 docs posted
on redhat.com. Although you and I found that the 2.8.0 docs have not
been posted to the Red Hat Network Manuals page, I discovered the Red
Hat Network 2.7 Basic Reference Guide HTML link now goes to the Red
Hat Network 2.8 Update Reference Guide. Don't know what happened. 

I imagine since the 2.8.0 docs have not yet made it in entirety to the
Red Hat Network Manuals page that they will go directly to the
Archives section. Please still make the renaming changes included in
that release, as documented in the related bug:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=103208

thanks
Comment 15 Tammy Fox 2004-02-27 01:18:31 EST
It looks like I forgot to close this bug once the 2.9.0 docs were
added because they are now in the Archive section. Closing now.

Note You need to log in before you can comment on or make changes to this bug.